Ads and Commerce

Business Role Request

Updated: Apr 2, 2025
Copy for LLM

Reading

Represents a business user request. See the requests from an admin of the Business for people to join as member of this business.

Example

GET /v25.0/{business-role-request-id} HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

This endpoint doesn't have any parameters.

Fields

Field Description
id
numeric string
Business role invitation request ID.

default
created_by
BusinessUser|SystemUser
User who sent the invitation to join this business.
created_time
datetime
Admin sent this request to someone to join a business at this time.
email
string
Email of user invited to join the business.

default
expiration_time
datetime
Invitation to join business expires at this time.
finance_role
enum
When you invite someone to join business, pre-assign the Finance role.
invited_user_type
list<enum>
Invited user type of this role request
Invite someone to join this business.
role
enum
Business role for user invited to the business.

default
status
enum
Status of the invitation, such as accepted, declined, expired and so on.

default
updated_by
BusinessUser|SystemUser
User who updated the invitation.
updated_time
datetime
Time invitation updated.

Edges

Edge Description

Error Codes

Error Code Description
100
Invalid parameter

Creating

You can't perform this operation on this endpoint.

Updating

/{business_role_request_id}

You can update a BusinessRoleRequest by making a POST request to /{business_role_request_id}.

Parameters

Parameter Description
role
enum {FINANCE_EDITOR, FINANCE_ANALYST, ADS_RIGHTS_REVIEWER, ADMIN, EMPLOYEE, DEVELOPER, PARTNER_CENTER_ADMIN, PARTNER_CENTER_ANALYST, PARTNER_CENTER_OPERATIONS, PARTNER_CENTER_MARKETING, PARTNER_CENTER_EDUCATION, MANAGE, DEFAULT, FINANCE_EDIT, FINANCE_VIEW}
Update invitation to include this role, such as ADMIN.

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct  {
id: numeric string,
}

Error Codes

Error Code Description
100
Invalid parameter

Deleting

/{business_role_request_id}

You can delete a BusinessRoleRequest by making a DELETE request to /{business_role_request_id}.

Parameters

This endpoint doesn't have any parameters.

Return Type

Struct  {
success: bool,
}

Error Codes

Error Code Description
368
The action attempted has been deemed abusive or is otherwise disallowed
190
Invalid OAuth 2.0 Access Token
200
Permissions error